Waiting for engine...
Skip to main content

Boomi Platform API Reference (1.0.0) - CloudAttachmentProperties

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

CloudAttachmentProperties

The CloudAttachmentProperties API lets you manage and configure cloud attachment properties for runtimes, including runtime configuration settings, purge schedules, and account-level properties.

Required Privileges

You need these privileges in the target environment:

Write access

  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

Read access

  • ATOM_MANAGEMENT — Configure and administer integration runtimes.

  • OR ATOM_MANAGEMENT_READ_ONLY

Retrieves a CloudAttachmentProperties object by identifier

Retrieves the details of cloud attachment properties of a specific runtime. Retrieving cloud attachment properties is an asynchronous process:

  1. Send a GET request that specifies both the account ID and runtime ID to the Boomi Enterprise Platform. https://api.boomi.com/api/rest/v1/{accountId}/async/CloudAttachmentProperties/{id}. The accountId is the ID of the authenticating account for the request, and id is the runtime ID.
  2. The platform returns a token.
  3. Send one or more GET requests that include the token. https://api.boomi.com/api/rest/v1/{accountId}/async/CloudAttachmentProperties/response/{token}
  4. The platform returns a list of the cloud attachment properties associated with the specific runtime.

    Note: The runtime that you are calling must be online.

Authorizations:
basicAuth
path Parameters
id
required
string

Read-only. System-generated unique identifier of a runtime. To view the runtime ID in the UI, go to Manage > Runtime Management.

Responses

Response Schema:
required
object (AsyncToken)

The initial GET call returns a token used to make subsequent GET requests to retrieve results.

responseStatusCode
required
integer <int32>

202: Indicates that the request has been accepted for processing, but the processing has not been completed.

Response samples

Content type
{
  • "@type": "AsyncOperationTokenResult",
  • "asyncToken": {
    • "@type": "AsyncToken",
    • "token": "CloudAttachmentProperties-1f23456f-a78f-91cc-012e-3e4dec5b67d8"
    },
  • "responseStatusCode": 202
}

Retrieves a CloudAttachmentProperties object by token

Use the token received from the initial GET request to retrieve the cloud attachment properties.

Authorizations:
basicAuth
path Parameters
token
required
string

Takes in the token from a previous call to return a result.

Responses

Response Schema:
responseStatusCode
required
integer <int32>

200: Indicates request is complete.

numberOfResults
integer <int32>

Optional

Array of objects (CloudAttachmentProperties)

Response samples

Content type
{
  • "@type": "AsyncOperationResult",
  • "result": [
    • {
      }
    ],
  • "responseStatusCode": 200
}

Modifies or updates a CloudAttachmentProperties object

Adds, removes, or updates cloud attachment properties for a specific runtime. The update operation includes the optional flag, partialUpdate. By default, it is set to false:

  • If set to true, only the property values specified in the request get updated. All other existing properties within the runtime will remain unchanged.
  • If set to false, property values specified in the request get updated. However, other property values not included in the request are reset to their default values.

    Note: To reset a property to its default value in the account.properties file, set partialUpdate to false without including the property values in the request.

Authorizations:
basicAuth
path Parameters
id
required
string

Read-only. System-generated unique identifier of a runtime. To view the runtime ID in the UI, go to Manage > Runtime Management.

Request Body schema:
optional
archiveProcessedDocuments
boolean

If set to true, processed document archiving is enabled for the selected runtime attached to a private runtime cloud, provided the runtime cloud owner has enabled archiving on the runtime cloud and allowed archiving for the selected runtime.

containerName
string

Required. Name of the selected runtime that is attached to a runtime cloud.

containerPurgeDays
integer <int32>

Specifies the number of days after process execution when logs, processed documents, components, and temporary data are purged. Refer to the topic Purging of runtime logs and data for more details.

containerPurgeImmediately
boolean

If set to true, processed documents, component, and temporary data will be purged immediately after a process execution ends.

defaultTimeZoneForAccountSchedules
string

Specifies the time zone for process schedules run on this attachment. By default, schedules use the time zone of the cloud hosting the attachment is installed. Setting this property, however, overrides the time zones of process schedules run on the specified attachment.

lowLatencyWarningThreshold
integer <int64>

Defines the time, in milliseconds, after which a successful low-latency process is flagged with a warning. If you set it to 0 or less, the warning is disabled. If this value exists in the account.properties file, then it is used. If the value does not exist in the account.properties file or if the account.properties file does not exist, then this value is read from the container.properties file.

partialUpdate
boolean

Determines how existing cloud attachment properties get updated. By default, it is set to false.

  • If set to true, only the property values specified in the request get updated. All other existing properties within the runtime will remain unchanged.
  • If set to false, property values specified in the request get updated. However, other property values not included in the request are reset to their default values.
purgeScheduleForComponents
integer <int32>

The number of days to wait before purging test execution and browse component data held on your runtime. The default value is 0, which means the property is disabled until a user configures it with a positive integer to enable the purge.

Note: Shared HTTP Server SSL Certificates and Certificate Authorization components are not purged when this property is enabled.

Refer to the topic Purging of runtime logs and data for more details.

purgeScheduleForLogs
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

purgeScheduleForProcessedDocuments
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

purgeScheduleForTemporaryData
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

runtimeId
string

Read-only. System-generated unique identifier of a runtime. To view the runtime ID in the UI, go to Manage > Runtime Management.

Responses

Response Schema:
archiveProcessedDocuments
boolean

If set to true, processed document archiving is enabled for the selected runtime attached to a private runtime cloud, provided the runtime cloud owner has enabled archiving on the runtime cloud and allowed archiving for the selected runtime.

containerName
string

Required. Name of the selected runtime that is attached to a runtime cloud.

containerPurgeDays
integer <int32>

Specifies the number of days after process execution when logs, processed documents, components, and temporary data are purged. Refer to the topic Purging of runtime logs and data for more details.

containerPurgeImmediately
boolean

If set to true, processed documents, component, and temporary data will be purged immediately after a process execution ends.

defaultTimeZoneForAccountSchedules
string

Specifies the time zone for process schedules run on this attachment. By default, schedules use the time zone of the cloud hosting the attachment is installed. Setting this property, however, overrides the time zones of process schedules run on the specified attachment.

lowLatencyWarningThreshold
integer <int64>

Defines the time, in milliseconds, after which a successful low-latency process is flagged with a warning. If you set it to 0 or less, the warning is disabled. If this value exists in the account.properties file, then it is used. If the value does not exist in the account.properties file or if the account.properties file does not exist, then this value is read from the container.properties file.

partialUpdate
boolean

Determines how existing cloud attachment properties get updated. By default, it is set to false.

  • If set to true, only the property values specified in the request get updated. All other existing properties within the runtime will remain unchanged.
  • If set to false, property values specified in the request get updated. However, other property values not included in the request are reset to their default values.
purgeScheduleForComponents
integer <int32>

The number of days to wait before purging test execution and browse component data held on your runtime. The default value is 0, which means the property is disabled until a user configures it with a positive integer to enable the purge.

Note: Shared HTTP Server SSL Certificates and Certificate Authorization components are not purged when this property is enabled.

Refer to the topic Purging of runtime logs and data for more details.

purgeScheduleForLogs
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

purgeScheduleForProcessedDocuments
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

purgeScheduleForTemporaryData
integer <int32>

Refer to the topic Purging of runtime logs and data for details.

runtimeId
string

Read-only. System-generated unique identifier of a runtime. To view the runtime ID in the UI, go to Manage > Runtime Management.

Request samples

Content type
{
  • "partialUpdate": true,
  • "runtimeId": "7ee105f7-6a9e-4b62-b383-3f6f3121ffc0",
  • "containerName": "Cloud_attachment_1",
  • "containerPurgeImmediately": false,
  • "containerPurgeDays": 46,
  • "defaultTimeZoneForAccountSchedules": "IST"
}

Response samples

Content type
{
  • "@type": "CloudAttachmentProperties",
  • "runtimeId": "7ee105f7-6a9e-4b62-b383-3f6f3121ffc0",
  • "defaultTimeZoneForAccountSchedules": "IST",
  • "containerName": "Cloud_attachment_1",
  • "containerPurgeImmediately": false,
  • "containerPurgeDays": 46
}